View Issue Details

IDProjectCategoryView StatusLast Update
0004593Talerwallet (WebExtensions)public2016-10-11 17:28
ReporterMarcello StanisciAssigned ToFlorian Dold 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.1Fixed in Version0.1 
Summary0004593: Adapt wallet to new contract spec
DescriptionThe contract now contains a new field called 'receiver' that tells the backend whose (hashed) bank details
include in the contract. The wallet complains with the following message:

Object
error
:
"exception"
hint
:
"superfluous properties ["receiver"]"

TagsNo tags attached.

Activities

Marcello Stanisci

2016-06-27 15:58

manager   ~0010938

Alternatively, the frontend (or the backend) could also _remove_ this field from the JSON returned to the wallet, but it may be neater to leave it in-contract.

Florian Dold

2016-06-27 16:50

manager   ~0010939

added to the schema in d663b37

Issue History

Date Modified Username Field Change
2016-06-27 15:54 Marcello Stanisci New Issue
2016-06-27 15:54 Marcello Stanisci Status new => assigned
2016-06-27 15:54 Marcello Stanisci Assigned To => Florian Dold
2016-06-27 15:58 Marcello Stanisci Note Added: 0010938
2016-06-27 16:50 Florian Dold Note Added: 0010939
2016-06-27 16:50 Florian Dold Status assigned => resolved
2016-06-27 16:50 Florian Dold Resolution open => fixed
2016-07-09 17:21 Christian Grothoff Product Version => 0.0
2016-07-09 17:21 Christian Grothoff Fixed in Version => 0.1
2016-07-09 17:21 Christian Grothoff Target Version => 0.1
2016-10-11 17:28 Christian Grothoff Status resolved => closed